#
import System
import common
#
from System.Collections.Generic import List
from System import Byte, Int32
#
CherryTree = 0x0D94
OrangeTree = 0x0D9C
CoconutPalmTree = 0x0C95
DatePalmTree = 0x0C96
PlumTree = 0x9E38
BananaTree = 0x0CAA
#
def PickFruit():
    tree_filter = Items.Filter()
    tree_filter.RangeMax = 2
    tree_filter.RangeMin = 0
    tree_filter.OnGround = True
    tree_filter.Graphics = List[int]([ PlumTree, BananaTree, DatePalmTree, CoconutPalmTree, OrangeTree, CherryTree ])
    trees = Items.ApplyFilter(tree_filter)
    #Misc.SendMessage("Number Trees: {}".format(len(trees)))
    for tree in trees:
        Journal.Clear()
        while not Journal.Search("no more fruit"):
            if Journal.Search("reach that"):                
                Misc.Pause(1000)
                break
            Items.UseItem(tree)
            #Misc.SendMessage("Picking fruit on {:x} at {} {} {}".format(tree.Serial, tree.Position.X, tree.Position.Y, tree.Position.Z ))
            Misc.Pause(1000)
#
PickFruitLocations = [ (1808, 2538, 0), (1808, 2542, 0), (1808, 2546, 0), (1808, 2550, 0), ]
#
while True:
    for loc in PickFruitLocations:
        Player.PathFindTo(loc[0], loc[1], loc[2])
        Misc.Pause(2000)
        PickFruit()
        if Misc.CheckSharedValue("BagOfHolding"):
            BOH = Misc.ReadSharedValue("BagOfHolding")
            fruitIDs = [ 0x9E86, 0x09D2, 0x0C79, 0x1727, 0x1726, 0x171F, 0x9E86, ]
            for fruitID in fruitIDs:
                fruit = Items.FindByID(fruitID, -1, Player.Backpack.Serial )
                if fruit:
                    Items.Move(fruit.Serial, BOH, -1)
                    Misc.Pause(1000)
        #
    #    
    Misc.Pause(5*(60*1000))
        


